Luxor PlatformAPI DocumentationCommanderInventory

Bulk delete inventory assets

Soft-deletes many assets, selected by explicit `asset_ids` or a `filter`.

POST
/v2/commander/inventory/assets/bulk/delete

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v2/commander/inventory/assets/bulk/delete" \  -H "Content-Type: application/json" \  -d '{}'
{  "deleted_count": 42,  "total_count": 42}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}